Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### unbinary()
Examples |
    String s1 = "00010000";
    String s2 = "00001000";
    String s3 = "00000100";
    println(unbinary(s1));  // Prints 16
    println(unbinary(s2));  // Prints 8
    println(unbinary(s3));  // Prints 4
Description | Converts a String representation of a binary number to its equivalent integer value. For example, unbinary("00001000") will return 8.
Syntax |
    unbinary(str)
Parameters |
str | String
Returns | int
Usage | Web & Application
Related | hex() binary() unbinary()

Updated on August 30, 2010 04:29:39pm EDT